Subject: RE: Git destroys u+s and g+s directory modes

From: <[email-masked]>
Date: Sat, 27 Dec 2025 10:19:44 -0500

On December 27, 2025 9:40 AM, Hadmut Danisch wrote:
> Am 27.12.25 um 15:27 schrieb [email-masked]:
> > There is an option with ubuntu: Access Control Lists (ACLs). These
> > provide override security for directories that might assist in your
> > process without having to worry about git security settings. It might
> > be worth looking into this option.
> 
> 
> This does not solve the problem, since ACLs do not propagate into newly created
> subdirectories, as group ownership with S_ISGID flag does.
> 
> 
> Please try to understand the problem before trying to solve it.

Without trying to be critical, the POSIX ACLs I have seen provide an option
that provides inheritance, so nothing in the repository will block those. That
is why I mentioned it. However, perhaps ubuntu does not support that
capability.